Favicon

You are here: Home > API Reference > Apple > Apple Default Config > Delete admDepProfile

Delete admDepProfile

Required Permission: mdm.apple.defaultDeviceConfig.remove

Delete admDepProfile

DELETE
/v1/organizations/:organizationId/mdm/apple/enterprise/default-config/:admDefaultDeviceConfigId
Copy to clipboard

Delete admDepProfile

Required Permission: mdm.apple.defaultDeviceConfig.remove

Delete admDepProfile

Request

Add parameter in header authorization
Example: Authorization: Bearer <token>
organizationId string
required
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$
admDefaultDeviceConfigId string
required
Match pattern: ^[a-fA-F0-9]{24}$

Responses

200 Response application/json
status boolean optional
data object optional
delete string optional
OK
{
    "status": true,
    "data": {
        "delete": "OK"
    }
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4004
message string optional
Invalid Token
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}